<!doctype html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">

    <title>Hello, world!</title>
  </head>
  <body>
    <h1>Votation title: <span class="Title"></span></h1>
    <label>Create Option: <input id="text_createOpt" type="text"> <button class="action_createOpt">Create Option</button> </label>
    <ul class="Options">

    </ul>
    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.3.1/jquery.min.js" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
    <script>
        var api="/api/go/"

        function load(){
            $.ajax({
            url: api+"/votation/",
            context: document.body,
            dataType: 'json',
            }).done(function(data) {
                $(".Title").html(data.Title)
                $(".Options").html("")
                $.each(data.Options, function( index, value ) {
                    $(".Options").append("<li><button class='action_vote' data-id='"+index+"' >Vote!</button> name: "+value.Name+", votes: <span class='count_vote'  data-id='"+index+"'>"+value.Count+"</span>  </li>")
                });
            });
        }
        load()
    
    
    $(document).on('click', '.action_createOpt', function() {
        val = $("#text_createOpt").val()
        console.log(val)
        $.ajax({
            url: api+"/votation/addOption/"+val,
            context: document.body,
            dataType: 'json',
        }).done(function(data) {
            load()
        });
        $("#text_createOpt").value("")
    })

    $(document).on('click', '.action_vote', function() {
        var id = $(this).data("id")
        
        $.ajax({
            url: api+"/votation/vote/"+id,
            context: document.body,
            dataType: 'json',
        }).done(function(data) {
            $(".count_vote[data-id="+id+"]").html(data.Count)
        });
    });

    </script>
</body>
</html>